package com.platform.yijia.controller;
import com.google.gson.Gson;
import com.platform.yijia.param.request.LoginBody;
import com.platform.yijia.pojo.SysUser;
import com.platform.yijia.service.PosMachineService;
import com.platform.yijia.utils.CodeMsg;
import com.platform.yijia.utils.ResultData;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

/**
 * <Title> PosMachineController </Title>
 * <Description> POS机端控制层 </Description>
 * @Author JK
 * @Date 2021年3月17日
 */

@Controller
@RequestMapping("/demo")
public class PosMachineController {
    @Resource
    private PosMachineService posMachineService;

    //POS机端用户登录
    @RequestMapping(value = "/loginPosMachine", method = RequestMethod.POST)
    @ResponseBody
    public String loginPosMachine(@RequestBody LoginBody loginBody){

        //Using generated security password: a78f4bd0-6087-4fff-ae5d-f2e4cd8c7961
        Gson gson =new Gson();
        //返回结果集
        ResultData resultData = null;
        if(loginBody.getUsername() !=null && loginBody.getPassword() !=null){
            SysUser sysUser = posMachineService.selectUserByUserName(loginBody.getUsername());
            if(sysUser !=null){
                String password = sysUser.getPassword();
                BCryptPasswordEncoder bCryptPasswordEncoder = new BCryptPasswordEncoder();
                //密码加密判断已加密密码是否与真实密码相同
                boolean matches = bCryptPasswordEncoder.matches(loginBody.getPassword(), password);
                if(matches){
                    resultData = ResultData.success(CodeMsg.SUCCESS);
                }
            }else {
                resultData = ResultData.error(CodeMsg.USER_NOT_EXSIST);
            }
        }
        return gson.toJson(resultData);
    }
}
